package com.ruoyi.kaohe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kaohe.mapper.KhUidRecardMapper;
import com.ruoyi.kaohe.domain.KhUidRecard;
import com.ruoyi.kaohe.service.IKhUidRecardService;

/**
 * uid管理Service业务层处理
 * 
 * @author hs
 * @date 2025-07-02
 */
@Service
public class KhUidRecardServiceImpl implements IKhUidRecardService 
{
    @Autowired
    private KhUidRecardMapper khUidRecardMapper;

    /**
     * 查询uid管理
     * 
     * @param id uid管理主键
     * @return uid管理
     */
    @Override
    public KhUidRecard selectKhUidRecardById(Long id)
    {
        return khUidRecardMapper.selectKhUidRecardById(id);
    }

    /**
     * 查询uid管理列表
     * 
     * @param khUidRecard uid管理
     * @return uid管理
     */
    @Override
    public List<KhUidRecard> selectKhUidRecardList(KhUidRecard khUidRecard)
    {
        return khUidRecardMapper.selectKhUidRecardList(khUidRecard);
    }

    /**
     * 新增uid管理
     * 
     * @param khUidRecard uid管理
     * @return 结果
     */
    @Override
    public int insertKhUidRecard(KhUidRecard khUidRecard)
    {
        khUidRecard.setCreateTime(DateUtils.getNowDate());
        return khUidRecardMapper.insertKhUidRecard(khUidRecard);
    }

    /**
     * 修改uid管理
     * 
     * @param khUidRecard uid管理
     * @return 结果
     */
    @Override
    public int updateKhUidRecard(KhUidRecard khUidRecard)
    {
        khUidRecard.setUpdateTime(DateUtils.getNowDate());
        return khUidRecardMapper.updateKhUidRecard(khUidRecard);
    }

    /**
     * 批量删除uid管理
     * 
     * @param ids 需要删除的uid管理主键
     * @return 结果
     */
    @Override
    public int deleteKhUidRecardByIds(Long[] ids)
    {
        return khUidRecardMapper.deleteKhUidRecardByIds(ids);
    }

    /**
     * 删除uid管理信息
     * 
     * @param id uid管理主键
     * @return 结果
     */
    @Override
    public int deleteKhUidRecardById(Long id)
    {
        return khUidRecardMapper.deleteKhUidRecardById(id);
    }
}
